View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17745Bug reportsDocumentationpublic2022-08-08 09:17
Reporterbaltzis Assigned Togabrieljenik  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary17745: Incomplete instructions to export response data to SPSS using Python
Description

The instructions described in "Responses/Export/Export responses to SPSS" (Screenshot 1) are incomplete concerning the use of SPSS with Python.

Under SPSS with Python 3, the "begin program." command needs to be written as "begin program PYTHON3.". Otherwise, SPSS cannot read the data file and produces error warnings. Alternatively, the syntax file produced by LimeSurvey should be corrected by default.

Additional Information

The errors text:

Error # 8500. Command name: begin program
Python 2 is no longer installed with IBM SPSS Statistics. It is recommended
that you use a Python 3.8.x distribution (BEGIN PROGRAM PYTHON3). You must
update your Python 2 path for each Statistics application. For SPSS
Statistics client, set the path in Edit > Options... > File Locations; for
SPSS Statistics Server, set the path in the spssdxcfg.ini file.
Execution of this command stops.

Error. Command name: GET DATA
(2269) Failure opening file: PATHdatfile/survey_211451_SPSS_data_file.dat
Execution of this command stops.

Error # 105. Command name: EXECUTE
This command is not valid before a working file has been defined.
Execution of this command stops.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.x
I will donate to the project if issue is resolved
Browser
Database type & version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Relationships

related to 18290 new Feature requests Allow export response data to SPSS using Python 3 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

baltzis

baltzis

2021-11-22 09:01

reporter  

Screenshot 1.png (56,633 bytes)   
Screenshot 1.png (56,633 bytes)   
gabrieljenik

gabrieljenik

2022-07-19 20:10

manager   ~71023

Can you put some text on how the new instructions should look like?

baltzis

baltzis

2022-07-20 08:19

reporter   ~71035

Intruction no. 2:
...If you selected the version for SPSS with the Python plugin / Essentials, just save the syntax and the data file in the same folder, but if you use Python 3 you need to edit the syntax file: in the line starting with "begin program", add PYTHON3. The line should look like this: begin program PYTHON3.

Or something similar...

gabrieljenik

gabrieljenik

2022-08-01 19:42

manager   ~71280

https://github.com/LimeSurvey/LimeSurvey/pull/2555

ollehar

ollehar

2022-08-03 16:02

administrator   ~71310

Added comment

gabrieljenik

gabrieljenik

2022-08-04 16:22

manager   ~71327

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33710

LimeBot

LimeBot

2022-08-08 09:16

administrator   ~71370

Fixed in Release 5.3.30+220808

Related Changesets

LimeSurvey: master 3d9f5a59

2022-08-04 16:22:32

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17745: Incomplete instructions to export response data to SPSS using Python (#2555)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17745
mod - application/views/admin/export/spss_view.php Diff File

Issue History

Date Modified Username Field Change
2021-11-22 09:01 baltzis New Issue
2021-11-22 09:01 baltzis File Added: Screenshot 1.png
2021-11-22 10:15 c_schmitz Project Feature requests => Bug reports
2022-07-19 20:10 gabrieljenik Status new => feedback
2022-07-19 20:10 gabrieljenik Complete LimeSurvey version number (& build) => 5.x
2022-07-19 20:10 gabrieljenik Note Added: 71023
2022-07-19 20:10 gabrieljenik Bug heat 0 => 2
2022-07-20 08:19 baltzis Note Added: 71035
2022-07-20 08:19 baltzis Bug heat 2 => 4
2022-07-20 08:19 baltzis Status feedback => new
2022-07-21 15:13 gabrieljenik Status new => confirmed
2022-07-27 21:53 gabrieljenik Issue cloned: 18290
2022-07-27 21:53 gabrieljenik Relationship added related to 18290
2022-08-01 19:42 gabrieljenik Assigned To => gabrieljenik
2022-08-01 19:42 gabrieljenik Status confirmed => ready for code review
2022-08-01 19:42 gabrieljenik Note Added: 71280
2022-08-01 19:42 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-08-03 16:02 ollehar Note Added: 71310
2022-08-03 16:02 ollehar Bug heat 4 => 6
2022-08-04 16:22 gabrieljenik Changeset attached => LimeSurvey master 3d9f5a59
2022-08-04 16:22 gabrieljenik Note Added: 71327
2022-08-04 16:22 gabrieljenik Assigned To DenisChenu => gabrieljenik
2022-08-04 16:22 gabrieljenik Resolution open => fixed
2022-08-04 16:23 ollehar Status ready for code review => resolved
2022-08-08 09:16 LimeBot Note Added: 71370
2022-08-08 09:17 LimeBot Status resolved => closed
2022-08-08 09:17 LimeBot Bug heat 6 => 8